Bug 695747 - urlgrabber and curl interaction issues with verifyhost and keepalive using certs
Summary: urlgrabber and curl interaction issues with verifyhost and keepalive using certs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: python-urlgrabber
Version: 6.1
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: James Antill
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On: 689031 694294 696665 765921 806043
Blocks: 568421 693252
TreeView+ depends on / blocked
 
Reported: 2011-04-12 15:01 UTC by Phil Knirsch
Modified: 2015-03-05 01:20 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Due to changes to the curl packages that enabled the use of Network Security Services (NSS) by default, urlgrabber may have been unable to retrieve remote data. Consequent to this, an attempt to download repository data using the Yum package manager could fail with the "HTTP 403" status code. This update adapts urlgrabber to retain the compatibility with the curl packages, so that the applications that use this package (including Yum) can retrieve remote data as expected.
Clone Of: 694294
Environment:
Last Closed: 2011-05-19 14:31:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0812 normal SHIPPED_LIVE python-urlgrabber bug fix update 2011-05-18 18:21:12 UTC

Comment 7 Jaromir Hradilek 2011-04-15 13:16:10 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Due to changes to the curl packages that enabled the use of Network Security Services (NSS) by default, urlgrabber may have been unable to retrieve remote data. Consequent to this, an attempt to download repository data using the Yum package manager could fail with the "HTTP 403" status code. This update adapts urlgrabber to retain the compatibility with the curl packages, so that the applications that use this package (including Yum) can retrieve remote data as expected.

Comment 9 errata-xmlrpc 2011-05-19 14:31:03 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0812.html


Note You need to log in before you can comment on or make changes to this bug.